package com.koobietech.eas.service;

import com.koobietech.eas.common.result.PageDataResult;
import com.koobietech.eas.dao.pojo.RolePojo;
import com.koobietech.eas.mbg.model.EasSysUserinfo;

import java.util.List;

public interface EasSysUserInfoService {

    Boolean add(EasSysUserinfo userinfo);

    Boolean delete(Long id);

    Boolean update(EasSysUserinfo userinfo);

    PageDataResult query(EasSysUserinfo userinfo);

    EasSysUserinfo queryByUid(Long uid);

    List<EasSysUserinfo> queryByRealname(String realname);

    List<EasSysUserinfo> queryAll();

    List<RolePojo> queryUserByRoleId(int departmentId);

    List<RolePojo> getAllUsers();
}
